registry.cpp File Reference
`#include <gecode/flatzinc/registry.hh>`
`#include <gecode/kernel.hh>`
`#include <gecode/int.hh>`
`#include <gecode/minimodel.hh>`
`#include <gecode/set.hh>`
`#include <gecode/float.hh>`
`#include <gecode/flatzinc.hh>`

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::FlatZinc
| Interpreter for the FlatZinc language.

## Macros

#define | BOOL_OP(op)
#define | BOOL_ARRAY_OP(op)
#define | P_FLOAT_OP(Op)

## Functions

Registry & | Gecode::FlatZinc::registry (void)
| Return global registry object.

## Macro Definition Documentation

## BOOL_OP

#define BOOL_OP | ( |  | op | ) |

Value:
BoolVar b0 = s.arg2BoolVar(ce[0]); \
BoolVar b1 = s.arg2BoolVar(ce[1]); \
if (ce[2]->isBool()) { \
rel(s, b0, op, b1, ce[2]->getBool(), s.ann2ipl(ann)); \
} else { \
rel(s, b0, op, b1, s.bv[ce[2]->getBoolVar()], s.ann2ipl(ann)); \
}

Definition at line 564 of file registry.cpp.

## BOOL_ARRAY_OP

#define BOOL_ARRAY_OP | ( |  | op | ) |

Value:
BoolVarArgs bv = s.arg2boolvarargs(ce[0]); \
if (ce.size()==1) { \
rel(s, op, bv, 1, s.ann2ipl(ann)); \
} else if (ce[1]->isBool()) { \
rel(s, op, bv, ce[1]->getBool(), s.ann2ipl(ann)); \
} else { \
rel(s, op, bv, s.bv[ce[1]->getBoolVar()], s.ann2ipl(ann)); \
}

Definition at line 573 of file registry.cpp.

## P_FLOAT_OP

#define P_FLOAT_OP | ( |  | Op | ) |

Value:
void p_float_ ## Op (FlatZincSpace& s, const ConExpr& ce, AST::Node*) {\
FloatVar x = s.arg2FloatVar(ce[0]);\
FloatVar y = s.arg2FloatVar(ce[1]);\
Op(s,x,y);\
}

Definition at line 2126 of file registry.cpp.